-- 基础信息
base_info = {
	group_id = 235800001
}

-- DEFS_MISCS
--每个房间传送点坐标列表
local ProtalPointList = {
        --消失路面
        [6001] = {
                [1] = {pos = {x = 224.4635, y = 21.55999, z = 17.19053}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = 224.4635, y = 21.55999, z = 19.95908}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = 227.272, y = 21.55999, z = 18.4593}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = 221.5798, y = 21.55999, z = 18.4593}, rot = {x = 0, y = 180, z = 0}}
        },
        --接花
        [6004] = {
                [1] = {pos = {x = 15.33842, y = 19.80575, z = -18.62847}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = 15.33842, y = 19.80523, z = -14.31996}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = 18.52413, y = 19.80394, z = -16.43003}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = 12.34144, y = 19.83332, z = -16.43003}, rot = {x = 0, y = 180, z = 0}}
        },
        --飞行躲射线
        [6002] = {
                [1] = {pos = {x = 140.121, y = 18.82538, z = 14.12834}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = 140.121, y = 18.81604, z = 18.71618}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = 143.3547, y = 18.81338, z = 16.3715}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = 136.3789, y = 18.83564, z = 16.37143}, rot = {x = 0, y = 180, z = 0}}
        },
        --塌陷地板
        [6003] = {
                [1] = {pos = {x = -321, y = 22, z = -1}, rot = {x = 0, y = 135, z = 0}},
                [2] = {pos = {x = -311, y = 22, z = -1}, rot = {x = 0, y = 225, z = 0}},
                [3] = {pos = {x = -311, y = 22, z = -11}, rot = {x = 0, y = 315, z = 0}},
                [4] = {pos = {x = -321, y = 22, z = -11}, rot = {x = 0, y = 45, z = 0}}
        },
        --记忆道路
        [6008] = {
                [1] = {pos = {x = -223.999, y = 21.563, z = -24.482}, rot = {x = 0, y = 0, z = 0}},
                [2] = {pos = {x = -221.171, y = 21.563, z = -26.375}, rot = {x = 0, y = 0, z = 0}},
                [3] = {pos = {x = -226.818, y = 21.563, z = -26.375}, rot = {x = 0, y = 0, z = 0}},
                [4] = {pos = {x = -223.999, y = 21.563, z = -27.538}, rot = {x = 0, y = 0, z = 0}}
        },
        --躲弹幕
        [6005] = {
                [1] = {pos = {x = -537.4, y = 26.8, z = -26.1}, rot = {x = 0, y = 225, z = 0}},
                [2] = {pos = {x = -537.4, y = 26.8, z = -33.7}, rot = {x = 0, y = 315, z = 0}},
                [3] = {pos = {x = -546.2, y = 26.8, z = -33.7}, rot = {x = 0, y = 45, z = 0}},
                [4] = {pos = {x = -546.2, y = 26.8, z = -26.1}, rot = {x = 0, y = 135, z = 0}}
        },
        --躲泡泡3道
        [6006] = {
                [1] = {pos = {x = 582.40, y = 16.91, z = -22.8}, rot = {x = 0, y = 0, z = 0}},
                [2] = {pos = {x = 587.40, y = 16.91, z = -22.8}, rot = {x = 0, y = 0, z = 0}},
                [3] = {pos = {x = 585.00, y = 16.91, z = -24.6}, rot = {x = 0, y = 0, z = 0}},
                [4] = {pos = {x = 585.00, y = 16.91, z = -21.0}, rot = {x = 0, y = 0, z = 0}}
        },
        --躲泡泡5道
        [6007] = {
                [1] = {pos = {x = 586.80, y = 16.91, z = 30.2}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = 581.80, y = 16.91, z = 30.2}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = 584.40, y = 16.91, z = 32.0}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = 584.40, y = 16.91, z = 28.4}, rot = {x = 0, y = 180, z = 0}}
        }

}

--每个小活动关卡Group列表
local WindFloraGroupList = {
        --消失路面
        [6001] = 235800006,
        --接花
        [6004] = 235800004,
        --飞行躲射线
        [6002] = 235800005,
        --塌陷地板
        [6003] = 235800002,
        --记忆道路
        [6008] = 235800003,
        --躲弹幕
        [6005] = 235800009,
        --躲泡泡3道
        [6006] = 235800010,
        --躲泡泡5道
        [6007] = 235800011
}

--每个子关卡限时
local LevelTimeLimits = {
        --消失路面
        [6001] = 63,
        --接花
        [6004] = 63,
        --飞行躲射线
        [6002] = 63,
        --塌陷地板
        [6003] = 63,
        --记忆道路
        [6008] = 63,
        --躲弹幕
        [6005] = 66,
        --躲泡泡3道
        [6006] = 73,
        --躲泡泡5道
        [6007] = 73
}

--每个Boss关卡限时
local BossTimeLimits = {
        --一阶段Boss战
        [1] = 603,
        --二阶段Boss战
        [2] = 603,
        --三阶段Boss战
        [3] = 603,
        --四阶段Boss战
        [4] = 603
}

--Boss战玩家传送点
local BossPointList = {
        --一阶段Boss战
        [1] = {
                [1] = {pos = {x = -139.183, y = 20.52047, z = 5.445455}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = -134.9127, y = 20.57998, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = -142.8831, y = 20.51245, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = -139.183, y = 20.50936, z = 9.587278}, rot = {x = 0, y = 180, z = 0}}
        },
        --二阶段Boss战
        [2] = {
                [1] = {pos = {x = -139.183, y = 20.52047, z = 5.445455}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = -134.9127, y = 20.57998, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = -142.8831, y = 20.51245, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = -139.183, y = 20.50936, z = 9.587278}, rot = {x = 0, y = 180, z = 0}}
        },
        --三阶段Boss战
        [3] = {
                [1] = {pos = {x = -139.183, y = 20.52047, z = 5.445455}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = -134.9127, y = 20.57998, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = -142.8831, y = 20.51245, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = -139.183, y = 20.50936, z = 9.587278}, rot = {x = 0, y = 180, z = 0}}
        },
        --四阶段Boss战
        [4] = {
                [1] = {pos = {x = -139.183, y = 20.52047, z = 5.445455}, rot = {x = 0, y = 180, z = 0}},
                [2] = {pos = {x = -134.9127, y = 20.57998, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [3] = {pos = {x = -142.8831, y = 20.51245, z = 7.516227}, rot = {x = 0, y = 180, z = 0}},
                [4] = {pos = {x = -139.183, y = 20.50936, z = 9.587278}, rot = {x = 0, y = 180, z = 0}}
        }
}

--四阶段Boss_Group列表
local BossGroupList = {
                [1] = 235800008,
                [2] = 235800007,
                [3] = 235800012,
                [4] = 235800013
}

--地城能量值
--配在Main里面
--全局
--进入地城时初始能量值
local Initialize_Energy = 100
--每次采集随机花时奖励的能量值
local RandomFlower_Bonus = 5
--躲弹幕玩法
--被弹幕打中扣除的能量值
local Bullet_Hit_Dedection = -2
--水泡长廊
--被碰到水泡后扣除的能量值
local Bubble_Hit_Deduction = -2
--飞行接花
--站在烫脚地板上每秒扣除的能量值
local WindFlower_HurtFloor_Deduction = -5

--小游戏准备和结算阶段缓冲时间
local PreviewTime = {10,10,10,10,10,10,10,10,10}
local PreviewShowTime = {5,5,5,5,5,5,5,5,5}
local TransDelayTime = {12,1,1,1,1,1,1,1,1}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[1001] = { config_id = 1001, gadget_id = 70900205, pos = { x = -99.474, y = 16.717, z = -2.618 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	[1002] = { config_id = 1002, shape = RegionShape.SPHERE, radius = 40, pos = { x = -138.725, y = 20.470, z = -5.011 } }
}

-- 触发器
triggers = {
	{ config_id = 1001002, name = "ENTER_REGION_1002", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "", trigger_count = 0 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 1001 },
		regions = { 1002 },
		triggers = { "ENTER_REGION_1002" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "WindFlora_Main"
